<?php
$wp_customize->add_section(
    'peccular_contact_section',
    array(
        'title' => __('Contact', 'peccular-premium' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>27
    )
);

$wp_customize->add_setting('peccular_contact_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contact_nav', array(
       'section' => 'peccular_contact_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_contact_enable', 
                'peccular_contact_maintitle',               
                'peccular_contact_phone1',              
                'peccular_contact_address',              
                'peccular_contact_email1',                
                'peccular_contact_form_shortcode',
                'peccular_homecontact_image',
                'peccular_contact_section_lbl3'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(   
                'peccular_contact_section_bg_color',
                'peccular_contact_section_bg_image',
                'peccular_contact_image_opacity', 
                'peccular_contact_heading_color',
                'peccular_contact_headingbrdr1_color',
                'peccular_contact_headingbrdr2_color', 
                'peccular_contact_icon_color',     
                'peccular_contact_data_color',
                'peccular_contact_linkhover_color',              
                'peccular_contact_formtext_color',
                'peccular_contact_formborder_color',                
                'peccular_contact_btntext_color',
                'peccular_contact_btnbg_color',
                'peccular_contact_box_onload_effects',
                'peccular_contact_head_align',                               
                'peccular_contact_btnhovtext_color',
                'peccular_contact_btnhovbg_color',
                'peccular_contact_phonebg_color',
                'peccular_contact_emailbg_color',
                'peccular_contact_addbg_color'
        ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_contact_padding',
                'peccular_contactl_section_t_padding',
                'peccular_contactl_section_b_padding',                
                'peccular_contact_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_contact_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_contact_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_contact_section'
)));

 $wp_customize->add_setting( 'peccular_homecontact_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_homecontact_image', array(
        'label' => __('Contact Image','peccular'),
       'section' => 'peccular_contact_section',
    )));
    $wp_customize->add_setting('peccular_contact_section_lbl3', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_contact_section_lbl3',
        array(
            'settings'      => 'peccular_contact_section_lbl3',
            'section'       => 'peccular_contact_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take Image size 863px x 837px  ', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'peccular_contact_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Contact Form', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_maintitle',
    array(
        'settings'      => 'peccular_contact_maintitle',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_phone1',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '000 100 900', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_phone1',
    array(
        'settings'      => 'peccular_contact_phone1',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_contact_address',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'TA-134/A Gulshan Badda Link Rd, Dhaka', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_address',
    array(
        'settings'      => 'peccular_contact_address',
        'section'       => 'peccular_contact_section', 
        'type'          => 'textarea',
        'label'         => __( 'Address', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_email1',
    array(
        'sanitize_callback' => 'sanitize_email',
        'default'           => __( 'info@yourdomain.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_email1',
    array(
        'settings'      => 'peccular_contact_email1',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Email', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form Shortcode Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_form_shortcode',
    array(
        'settings'      => 'peccular_contact_form_shortcode',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode ', 'peccular' )
    )
);
    $wp_customize->add_setting('peccular_contact_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_contact_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_contact_section'
   ));

  $wp_customize->add_setting('peccular_contactl_section_t_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_contactl_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_contact_section',
    ));
     $wp_customize->add_setting('peccular_contactl_section_b_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_contactl_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_contact_section',
    ));


    $wp_customize->add_setting( 'peccular_contact_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_contact_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_contact_section',
    )));

    $wp_customize->add_setting( 'peccular_contact_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_contact_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_contact_section',
    )));

addColorPalatOption($wp_customize, 'peccular_contact_heading_color', 'peccular_contact_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_headingbrdr1_color', 'peccular_contact_section', 'Section Heading Border 1 Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_headingbrdr2_color', 'peccular_contact_section', 'Section Heading Border 2 Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_icon_color', 'peccular_contact_section', 'Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_data_color', 'peccular_contact_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_linkhover_color', 'peccular_contact_section', 'Link Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_phonebg_color', 'peccular_contact_section', 'Phone BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_emailbg_color', 'peccular_contact_section', 'Email BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_addbg_color', 'peccular_contact_section', 'Address BG Color ', '');

addColorPalatOption($wp_customize, 'peccular_contact_formtext_color', 'peccular_contact_section', 'Form Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_formborder_color', 'peccular_contact_section', 'Form Border Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_btntext_color', 'peccular_contact_section', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_btnbg_color', 'peccular_contact_section', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_btnhovtext_color', 'peccular_contact_section', 'Button Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_btnhovbg_color', 'peccular_contact_section', 'Button Hover BG Color ', '');
?>