<?php 
$wp_customize->add_section(
    'peccular_featuredproduct_section', 
    array(
        'title'   => __( 'Featured Product', 'peccular' ),
        'panel'   => 'peccular_premium_home_panel1',
        'priority' =>19
    ) 
);
  
$wp_customize->add_setting('peccular_featuredproduct_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));  
  
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_featuredproduct_nav', array(
       'section' => 'peccular_featuredproduct_section',
       'priority' => 1,
       'buttons' => array(  
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_featuredproduct_enable', 
                'peccular_featuredproductbutton1_text',
                'peccular_featuredproductbutton1_url',
                'peccular_productbutton2_text',
                'peccular_productbutton2_url',
                'peccular_featuredproduct_headImg_display',
                'peccular_featuredproduct_headImg_image',
                'peccular_featuredproduct_maintitle',
                'peccular_featuredproductheadrightBtn_text',
                'peccular_featuredproductheadrightBtn_url',
                'peccular_featuredproductimg_leftimg_enable'
              
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_featuredproduct_section_bg_color',
                'peccular_featuredproduct_section_bg_image',
                'peccular_featuredproduct_image_opacity',
                'peccular_featuredproduct_box_onload_effects',
                'peccular_featuredproduct_head_align',                 
                'peccular_featuredproduct_heading_color',
                'peccular_featuredproduct_BoxBG_color',
                'peccular_featuredproduct_headborder1_color',
                'peccular_featuredproduct_headbtnText_color',
                'peccular_featuredproduct_headbtnHover_color',
                'peccular_featuredproduct_bxtitle_color', 
                'peccular_featuredproduct_boxbg3_color',                
                'peccular_featuredproduct_Button1Text_color',
                'peccular_featuredproduct_Button1Border_color',
                'peccular_featuredproduct_Button1Background_color',
                'peccular_featuredproduct_Button1hoverTextcolor',
                'peccular_featuredproduct_Button1hoverbg_color',
                'peccular_buttonSecondColor_lbl',
                'peccular_button2Color_lbl',
                'peccular_featuredproduct_Button2Background_color',                     
                'peccular_featuredproduct_bxprice1_color',
                'peccular_featuredproduct_bxprice2_color',
                'peccular_featuredproduct_imageHvrOverly_color',
                // 'peccular_categoriesColor_lbl',
                'peccular_buttonFirstColor_lbl',
                'peccular_featuredproduct_bxtitlehov_color',                
                'peccular_featuredproduct_bxbtn2hovBG_color1',
                'peccular_featuredproduct_bxbtn2hovtext_color1',
                'peccular_featuredproduct_Button2Text_color',
            ),
         ), 
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_featuredproduct_padding',                
                'peccular_featuredproduct_top_padding',
                'peccular_featuredproduct_bottom_padding',                 
                'peccular_featuredproduct_section_width',
                'peccular_featuredproduct_post_image_height'                
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_featuredproduct_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( 
    $wp_customize, 'peccular_featuredproduct_enable',
    array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_featuredproduct_section'
)));
$wp_customize->add_setting(
    'peccular_featuredproduct_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Featured Product', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_featuredproduct_maintitle',
    array(
        'settings'      => 'peccular_featuredproduct_maintitle',
        'section'       => 'peccular_featuredproduct_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_featuredproductheadrightBtn_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'View More' )
    )
);

$wp_customize->add_control(
    'peccular_featuredproductheadrightBtn_text',
    array(
        'settings'      => 'peccular_featuredproductheadrightBtn_text',
        'section'       => 'peccular_featuredproduct_section',
        'type'          => 'text',
        'label'         => __( 'Heading Button', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_featuredproductheadrightBtn_url', 
    array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control(
    'peccular_featuredproductheadrightBtn_url',
    array( 
        'settings'      => 'peccular_featuredproductheadrightBtn_url',
        'section'       => 'peccular_featuredproduct_section',
        'type'          => 'url',
        'label'         => __( 'Add Button Link Here', 'peccular-premium' )
    )
);   

    // to show & hide Heading Image
$wp_customize->add_setting( 'peccular_featuredproduct_headImg_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_featuredproduct_headImg_display', array( 'label' => 'Heading Image Display', 'section' => 'peccular_featuredproduct_section', 'settings' => 'peccular_featuredproduct_headImg_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Image', 'hide' => 'Hide Image', ), ) ); 

    $wp_customize->add_setting( 'peccular_featuredproduct_headImg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_featuredproduct_headImg_image', array(
        'label' => __('Heading Image','peccular'),
       'section' => 'peccular_featuredproduct_section',
    )));

$wp_customize->add_setting(
    'peccular_featuredproductbutton1_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'View More' )
    )
);
$wp_customize->add_control(
    'peccular_featuredproductbutton1_text',
    array(
        'settings'      => 'peccular_featuredproductbutton1_text',
        'section'       => 'peccular_featuredproduct_section',
        'type'          => 'text',
        'label'         => __( 'Button 1 Text', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_featuredproductbutton1_url', 
    array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control(
    'peccular_featuredproductbutton1_url',
    array(
        'settings'      => 'peccular_featuredproductbutton1_url',
        'section'       => 'peccular_featuredproduct_section',
        'type'          => 'url',
        'label'         => __( 'Add Button 1 Link Here', 'peccular-premium' )
    )
);   

$wp_customize->add_setting( 'peccular_featuredproduct_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_featuredproduct_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_featuredproduct_section',
    )));

$wp_customize->add_setting( 'peccular_featuredproduct_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_featuredproduct_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_featuredproduct_section',
    )));

     $wp_customize->add_setting('peccular_featuredproduct_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_featuredproduct_image_opacity',array(
    'label' => __('Background Image Opacity','peccular'),
    'section' => 'peccular_featuredproduct_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

$wp_customize->add_setting('peccular_featuredproduct_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_featuredproduct_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'), 
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_featuredproduct_section',
    ));

    // $wp_customize->add_setting('peccular_featuredproduct_head_align',array(
    //     'default' => 'Left',
    //     'sanitize_callback' => 'peccular_sanitize_choices',
    // ));
    // $wp_customize->add_control('peccular_featuredproduct_head_align',array(
    //     'type' => 'select',
    //     'label' => __('Section Heading Alignment','peccular'),
    //     'choices' => array (
    //         'Center' => __('Center','peccular'),
    //         'Left' => __('Left','peccular'),
    //         'Right' => __('Right','peccular')
    //     ),
    //     'section' => 'peccular_featuredproduct_section',
    // ));

//colors
addColorPalatOption($wp_customize, 'peccular_featuredproduct_BoxBG_color', 'peccular_featuredproduct_section', 'Box BG Color', '');

addColorPalatOption($wp_customize, 'peccular_featuredproduct_heading_color', 'peccular_featuredproduct_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_headborder1_color', 'peccular_featuredproduct_section', 'Heading Bottom Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_headbtnText_color', 'peccular_featuredproduct_section', 'Heading Button Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_headbtnHover_color', 'peccular_featuredproduct_section', 'Heading Button Hover Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_bxtitle_color', 'peccular_featuredproduct_section', 'Box Title Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_bxtitlehov_color', 'peccular_featuredproduct_section', 'Title Hover Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_bxprice1_color', 'peccular_featuredproduct_section', 'Box Price 1 Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_bxprice2_color', 'peccular_featuredproduct_section', 'Box Price 2 Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_imageHvrOverly_color', 'peccular_featuredproduct_section', 'Image Hover Overlay Color ', '');

 
// $wp_customize->add_setting('peccular_buttonFirstColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
// $wp_customize->add_control(
//     new peccular_Customize_Heading(
//         $wp_customize,
//         'peccular_buttonFirstColor_lbl',
//         array(
//             'settings'      => 'peccular_buttonFirstColor_lbl',
//             'section'       => 'peccular_featuredproduct_section',
//             'label'         => __( 'Button 1 Colors', 'peccular' ),
//         )
//     )
// ); 
$wp_customize->add_setting('peccular_buttonFirstColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_buttonFirstColor_lbl',
        array(
            'settings'      => 'peccular_buttonFirstColor_lbl',
            'section'       => 'peccular_featuredproduct_section',
            'label'         => __( 'Button 1 Colors', 'peccular' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'peccular_featuredproduct_Button1Text_color', 'peccular_featuredproduct_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_Button1Border_color', 'peccular_featuredproduct_section', 'Button Border Color', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_Button1Background_color', 'peccular_featuredproduct_section', 'Button BG Color', '');

addColorPalatOption($wp_customize, 'peccular_featuredproduct_Button1hoverTextcolor', 'peccular_featuredproduct_section', 'Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_Button1hoverbg_color', 'peccular_featuredproduct_section', 'Button Hover BG Color', '');

// $wp_customize->add_setting('peccular_buttonSecondColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
// $wp_customize->add_control(
//     new peccular_Customize_Heading(
//         $wp_customize,
//         'peccular_button2Color_lbl',
//         array(
//             'settings'      => 'peccular_button2Color_lbl',
//             'section'       => 'peccular_featuredproduct_section',
//             'label'         => __( 'Button 2 Colors', 'peccular' ),
//         )
//     )
// );  
$wp_customize->add_setting('peccular_buttonSecondColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_buttonSecondColor_lbl',
        array(
            'settings'      => 'peccular_buttonSecondColor_lbl',
            'section'       => 'peccular_featuredproduct_section',
            'label'         => __( 'Button 2 Colors', 'peccular' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'peccular_featuredproduct_Button2Text_color', 'peccular_featuredproduct_section', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_Button2Background_color', 'peccular_featuredproduct_section', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_bxbtn2hovtext_color1', 'peccular_featuredproduct_section', 'Button Hover Text Color ', '');

addColorPalatOption($wp_customize, 'peccular_featuredproduct_bxbtn2hovBG_color1', 'peccular_featuredproduct_section', 'Button Hover BG Color ', '');

 $wp_customize->add_setting('peccular_featuredproduct_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_featuredproduct_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_featuredproduct_section'
   ));

    $wp_customize->add_setting('peccular_featuredproduct_top_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_featuredproduct_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_featuredproduct_section',
    ));
     $wp_customize->add_setting('peccular_featuredproduct_bottom_padding',array(
        'default' => '8',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_featuredproduct_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_featuredproduct_section',
    ));

       $wp_customize->add_setting('peccular_featuredproduct_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_featuredproduct_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_featuredproduct_section',
    ));
$wp_customize->add_setting('peccular_featuredproduct_post_image_height',array(
        'default' => 195,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_featuredproduct_post_image_height',array(
    'label' => __('Image Height','peccular'),
    'section' => 'peccular_featuredproduct_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1,
        ),
    ))); 
?>