<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => '_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  )); 

//Bottom Header
    $wp_customize->add_section( 'peccular_blog_pages' , array(
        'title'    => __( 'Blog Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_blogpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_blogpages_nav', array(
       'section' => 'peccular_blog_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'blog_featured_img_on_off',
                'peccular_blogpage_post_image_height',
                'peccular_show_author',
                'peccular_show_date',
                'peccular_show_time',
                'peccular_show_category',
                'peccular_show_comments',
                'peccular_show_tags',
                'blog_page_excerpt_display',
                'allblog_btnlabel1',                
                'allblog_btnlabel',
                'blog_page_button_display',
                'blog_page_btn_txt',
                'blog_socials_on_off'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular__blog_layout',
                'peccular_blogpage_post_excerpt',
                'peccular_blog_page_width'
            ),
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_blogpage_title_color1',
                'peccular_blogpage_titlehover_color',
                'peccular_blogpage_metatext_color',
                'peccular_blogpage_metaicon_color',
                'peccular_blogpage_contenttext_color',
                'peccular_blogpage_button_color',
                'peccular_blogpage_buttonhover_color',
                'peccular_blogpage_buttonbg_color',
                'peccular_blogpage_category_color',
                'peccular_blogpage_tag_color',
                'peccular_blogpage_tagicon_color',                
                'peccular_blogpage_datetext_color',
                'peccular_blogpage_datetextbtmbrdr_color',
                'peccular_blogpage_dateboxbg_color',
                'peccular_blogpage_commentTxt_color',
                'peccular_blogpage_buttonbghover_color',
                'peccular_blogpage_boxbg_color'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'blog_featured_img_on_off',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'blog_featured_img_on_off',
        array(
            'settings'      => 'blog_featured_img_on_off',
            'section'       => 'peccular_blog_pages',
            'label'         => __( 'Show Thumbnail Image', 'peccular-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular-premium' ),
                'off' => __( 'No', 'peccular-premium' )
            ),
        )
    )
);

$wp_customize->add_setting('peccular_blogpage_post_image_height',array(
        'default' => 246,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_blogpage_post_image_height',array(
    'label' => __('Feature Image Height','peccular'),
    'section' => 'peccular_blog_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

$wp_customize->add_setting('peccular_show_author',array(
  'default' => false,
  'sanitize_callback'   => 'peccular_sanitize_checkbox'
));
$wp_customize->add_control('peccular_show_author',array(
  'type' => 'checkbox',
  'label' => __('Show / Hide Author','peccular'),
  'section' => 'peccular_blog_pages'
));

$wp_customize->add_setting('peccular_show_date',array(
  'default' => true,
  'sanitize_callback'   => 'peccular_sanitize_checkbox'
));
$wp_customize->add_control('peccular_show_date',array(
  'type' => 'checkbox',
  'label' => __('Show / Hide Date','peccular'),
  'section' => 'peccular_blog_pages'
));
 
$wp_customize->add_setting('peccular_show_time',array(
      'default' => false,
      'sanitize_callback'   => 'peccular_sanitize_checkbox'
   ));
   $wp_customize->add_control('peccular_show_time',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Time','peccular'),
      'section' => 'peccular_blog_pages'
   ));

$wp_customize->add_setting('peccular_show_category',array(
      'default' => false,
      'sanitize_callback'   => 'peccular_sanitize_checkbox'
   ));
   $wp_customize->add_control('peccular_show_category',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Category','peccular'),
      'section' => 'peccular_blog_pages'
   ));

    $wp_customize->add_setting('peccular_show_comments',array(
      'default' => true,
      'sanitize_callback'   => 'peccular_sanitize_checkbox'
   ));
   $wp_customize->add_control('peccular_show_comments',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Comments','peccular'),
      'section' => 'peccular_blog_pages'
   ));

   $wp_customize->add_setting('peccular_show_tags',array(
      'default' => false,
      'sanitize_callback'   => 'peccular_sanitize_checkbox'
   ));
   $wp_customize->add_control('peccular_show_tags',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Tag','peccular'),
      'section' => 'peccular_blog_pages'
   ));

     $wp_customize->add_setting('blog_page_excerpt_display',array(
      'default' => true,
      'sanitize_callback'   => 'peccular_sanitize_checkbox'
   ));
   $wp_customize->add_control('blog_page_excerpt_display',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Excerpt','peccular'),
      'section' => 'peccular_blog_pages'
   ));

lzCustomLable($wp_customize, 'allblog_btnlabel', 'peccular_blog_pages', 'Button Setting :');

$wp_customize->add_setting(
    'blog_page_button_display',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'blog_page_button_display',
        array(
            'settings'      => 'blog_page_button_display',
            'section'       => 'peccular_blog_pages',
            'label'         => __( 'Button Display', 'peccular-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular-premium' ),
                'off' => __( 'No', 'peccular-premium' )
            ),
        )
    )
);

$wp_customize->add_setting(
    'blog_page_btn_txt',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'blog_page_btn_txt',
    array(
        'settings'      => 'blog_page_btn_txt',
        'section'       => 'peccular_blog_pages',
        'type'          => 'text',
        'label'         => __( 'Button Label', 'peccular-premium' )
    )
);

//Blog Layout
$lzBlogLayout = getBlogLayout(true);

$wp_customize->add_setting(
   'peccular__blog_layout',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new peccular_Font_Chooser(
      $wp_customize,
      'peccular__blog_layout',
      array(
         'settings'=> 'peccular__blog_layout',
         'section' => 'peccular_blog_pages',
         'label'=>__('Left / Right and No Sidebar', 'peccular Premium'),
         'choices'=>$lzBlogLayout
      )
   )
);

$wp_customize->add_setting('peccular_blogpage_post_excerpt',array(
        'default' => 20,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_blogpage_post_excerpt',array(
    'label' => __('Excerpt Length','peccular'),
    'section' => 'peccular_blog_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));

$wp_customize->add_setting('peccular_blog_page_width',array(
    'default' => 'Box Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_blog_page_width',array(
    'type' => 'select',
    'label' => __('Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_blog_pages',
));

addColorPalatOption($wp_customize, 'peccular_blogpage_title_color1', 'peccular_blog_pages', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_blogpage_titlehover_color', 'peccular_blog_pages', 'Title Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_blogpage_metatext_color', 'peccular_blog_pages', 'Meta Text Color', '');
addColorPalatOption($wp_customize, 'peccular_blogpage_metaicon_color', 'peccular_blog_pages', 'Meta Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_blogpage_category_color', 'peccular_blog_pages', 'Category Color', '');
addColorPalatOption($wp_customize, 'peccular_blogpage_tag_color', 'peccular_blog_pages', 'Tag Color', '');
addColorPalatOption($wp_customize, 'peccular_blogpage_tagicon_color', 'peccular_blog_pages', 'Tag Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_blogpage_datetext_color', 'peccular_blog_pages', 'Date Text Color', '');
addColorPalatOption($wp_customize, 'peccular_blogpage_datetextbtmbrdr_color', 'peccular_blog_pages', 'Date Text Bottom Border Color', '');

addColorPalatOption($wp_customize, 'peccular_blogpage_dateboxbg_color', 'peccular_blog_pages', 'Date BG Color', '');
addColorPalatOption($wp_customize, 'peccular_blogpage_commentTxt_color', 'peccular_blog_pages', 'Comment Text Color', '');


addColorPalatOption($wp_customize, 'peccular_blogpage_boxbg_color', 'peccular_blog_pages', 'Box BG Color', '');

addColorPalatOption($wp_customize, 'peccular_blogpage_button_color', 'peccular_blog_pages', 'Button Color', '');
addColorPalatOption($wp_customize, 'peccular_blogpage_buttonbg_color', 'peccular_blog_pages', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_blogpage_buttonhover_color', 'peccular_blog_pages', 'Button Text Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_blogpage_buttonbghover_color', 'peccular_blog_pages', 'Button Hover BG Color', '');
?>